<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Detecting Malleable C2 Profiles — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `analyze --pcap <val> --extract <val>` | Analyze traffic for C2 indicators |
| `detect --pcap <val> --check <val>` | Detect malleable profile patterns |
| `rules --profile <val> --format <val>` | Generate detection rules |
| `report --format <val>` | Generate detection report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--pcap` | string | Yes | Pcap parameter |
| `--extract` | string | Yes | Extract parameter |
| `--check` | string | Yes | Check parameter |
| `--profile` | string | Yes | Profile parameter |
| `--format` | string | Yes | Format parameter |
